Advisory Details

April 2nd, 2010

Apple QuickTime MediaVideo Compressor Name Remote Code Execution Vulnerability

ZDI-10-042
ZDI-CAN-570

CVE ID CVE-2010-0528
CVSS SCORE 10.0, (AV:N/AC:L/Au:N/C:C/I:C/A:C)
AFFECTED VENDORS Apple
AFFECTED PRODUCTS Quicktime
TREND MICRO CUSTOMER PROTECTION Trend Micro TippingPoint IPS customers are protected against this vulnerability by Digital Vaccine protection filter ID 8443. For further product information on the TippingPoint IPS: http://www.tippingpoint.com
VULNERABILITY DETAILS

This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Apple QuickTime. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists during the parsing of malformed MediaVideo data from a sample description atom (STSD). The application will read a length from the file, subtract 1 and then use it as a counter for a loop. Certain values may cause memory corruption and can result in code execution under the context of the current user.

ADDITIONAL DETAILS Apple has issued an update to correct this vulnerability. More details can be found at:
http://support.apple.com/kb/HT4104
DISCLOSURE TIMELINE
  • 2009-08-20 - Vulnerability reported to vendor
  • 2010-04-02 - Coordinated public release of advisory
CREDIT Anonymous
BACK TO ADVISORIES